#include<iostream>
#include<cstdlib>

 using namespace std;
    int main(){
        int i,j;
        int x;
        cout << " ";
        cout <<endl<< "Enter your targeted number....";
        cin >> x;
        if(x%2 != 0)
           cout <<endl<< "Odd number is not accepted..try again.thank you";
           else{
                for(i=1;i<=x;i++)
           {
               for(j=1;j<=i;j++)
               {
               if(i%2)
               cout << "S";
               else
                 cout << "N";
               }
               cout <<endl;
           }
           cout <<endl<< "Nayem is the CLEARLY AHEAD.this is the evidence of the reall LOVE";
           }

        }

